/*
 * This file is part of the DOM implementation for KDE.
 *
 * Copyright (C) 2003 Lars Knoll (knoll@kde.org)
 *
 * $Id: tokenizer.cpp,v 1.8 2003/09/26 00:14:12 mueller Exp $
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* This file is mostly data generated by flex. Unfortunately flex
   can't handle 16bit strings directly, so we just copy the part of
   the code we need and modify it to our needs.

   Most of the defines below are to make sure we can easily use the
   flex generated code, using as little editing as possible.

   The flex syntax to generate the lexer are more or less directly
   copied from the CSS2.1 specs, with some fixes for comments and
   the important symbol.

   To regenerate, run flex on tokenizer.flex. After this, copy the
   data tables and the YY_DECL method over to this file. Remove the
   init code from YY_DECL and change the YY_END_OF_BUFFER to only call
   yyterminate().

*/

// --------- begin generated code -------------------

#define YY_NUM_RULES 48
#define YY_END_OF_BUFFER 49
static yyconst short int yy_accept[313] =
    {   0,
        0,    0,   49,   47,    2,    2,   47,   47,   47,   47,
       47,   47,   11,   47,   47,   41,   47,   47,   47,   47,
       11,   11,   47,   47,    2,    0,    0,    0,   10,    0,
       12,    0,    8,    0,    0,    9,   44,   11,   11,    0,
       41,    0,   40,   39,    0,   41,    0,   39,   39,   39,
       39,   39,   39,   39,   39,   39,   39,   39,   36,    0,
        0,    0,    0,    0,    0,    0,    0,   11,   11,    7,
        0,   11,    6,    5,    0,    0,    0,   10,    0,    0,
       12,   12,    0,    0,   10,    0,    0,    4,   11,   11,
        0,    0,   39,    0,   39,   39,   39,   27,   39,   23,

       25,   39,   37,   29,   39,   28,   35,   31,   30,   26,
       39,    0,    0,    0,    0,    0,    0,    0,    0,   11,
       45,   45,   11,    0,    0,    0,   12,    0,    0,   11,
        0,    1,   39,   39,   39,   39,   32,   39,   38,   33,
        3,    0,    0,    0,    0,    0,    0,    0,   11,    0,
       45,   45,   45,   44,    0,    0,   12,    0,   11,    0,
        0,   39,   39,   39,   34,    0,    0,    0,    0,    0,
        0,   14,   11,   46,   45,   45,   45,   45,    0,    0,
        0,    0,   43,    0,    0,    0,   12,    0,   11,   39,
       39,   24,    0,    0,    0,    0,   15,    0,   11,   46,

       45,   45,   45,   45,   45,    0,    0,    0,    0,    0,
        0,    0,    0,    0,   43,    0,    0,    0,    0,   12,
        0,   11,   39,   39,    0,    0,    0,   13,    0,   11,
       46,   45,   45,   45,   45,   45,   45,    0,   42,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,   12,    0,   11,   39,   39,    0,    0,    0,
       17,    0,    0,   46,   45,   45,   45,   45,   45,   45,
       45,    0,   42,    0,    0,    0,   42,    0,    0,    0,
        0,   39,    0,    0,    0,    0,    0,   46,    0,    0,
        0,   22,    0,    0,    0,   16,   18,   46,    0,    0,

        0,    0,   19,    0,    0,    0,    0,   20,   21,    0,
        0,    0
    } ;

static yyconst int yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    4,    5,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    6,    7,    8,    9,   10,   11,   12,   13,   14,
       15,   16,   17,   12,   18,   19,   20,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   12,   12,   22,
       23,   24,   25,   26,   30,   31,   32,   33,   34,   35,
       36,   37,   38,   39,   40,   41,   42,   43,   44,   45,
       46,   47,   48,   49,   50,   51,   39,   52,   39,   53,
       12,   27,   12,   28,   29,   12,   30,   31,   32,   33,

       34,   35,   36,   37,   38,   39,   40,   41,   42,   43,
       44,   45,   46,   47,   48,   49,   50,   51,   39,   52,
       39,   53,   12,   54,   12,   55,    1,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,

       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56
    } ;

static yyconst int yy_meta[57] =
    {   0,
        1,    2,    3,    3,    3,    4,    4,    4,    4,    4,
        4,    4,    4,    5,    4,    4,    4,    6,    4,    4,
        6,    4,    4,    4,    7,    4,    8,    4,    8,    6,
        6,    6,    6,    6,    6,    8,    8,    8,    8,    8,
        8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
        8,    8,    8,    4,    4,    8
    } ;

static yyconst short int yy_base[339] =
    {   0,
        0,    0,  752, 1572,   55,   60,   65,   64,  724,  720,
       60,  718,   61,  719,  723,   93,  731,   63,  126,  706,
       62,   63,  705,  704,   80,  113,  684,   66, 1572,  160,
      698,  145, 1572,   65,  194, 1572, 1572,  158,   80,  179,
       78,  699, 1572,  687,  692,    0,  201,   73,  125,  121,
      178,  123,  189,  126,  146,  175,  211,  144,  685,  680,
      657,  654,  633,  634,  639,  642,  641,   82,  262, 1572,
      216,  230, 1572, 1572,  625,  181,  231,  232,  296,  330,
      629,  364,  242,  191,  243,  398,  432, 1572,  174,  466,
      639,  257,  608,  315,  607,  500,  226,  604,  225,  603,

      602,  176,  601,  592,  227,  590,  589,  588,  587,  573,
      248,  581,  541,  546,  532,  529,  540,  530,  535,  417,
      260,  545,  260,  524,  276,  458,  507,  278,  515,  522,
      551, 1572,  539,  556,  548,  252,  538,  255,  537,  536,
     1572,  508,  497,  480,  482,  487,  490,  489,  563,  571,
      288,  497,  495,  605,  472,  591,  606,  612,  627,  502,
      291,  633,  648,  282,  490,  470,  467,  496,  466,  482,
      463, 1572,  654,  669,  290,  485,  484,  482,  703,  729,
      310,  312, 1572,  755,  446,  689,  715,  762,  770,  777,
      785,  459,  467,  449,  447,  432, 1572,  435,  792,  800,

      294,  453,  452,  451,  450,  338,  344,  371,  834,  345,
      868,  902,  928,  954,  980, 1006, 1040,  444,  819,  853,
      888,  914,  940,  966,  359,  424,  431, 1572,  428, 1047,
     1055,  296,  432,  431,  430,  429,  398,  378, 1572,  351,
      380,  412, 1089, 1123,  481,  395, 1102, 1157, 1191, 1176,
      378, 1198, 1206, 1213,  438, 1221,  647,  379,  339,  357,
     1572,  347,  324, 1228,  337, 1572, 1572, 1572, 1572, 1572,
     1572, 1020,  382,  397, 1236, 1270,  399,  433, 1256, 1271,
      273,  690,  288,  275,  269,  256,  228, 1277, 1292, 1298,
     1313, 1572,  178,  152,  104, 1572, 1572, 1572, 1319, 1334,

     1340,   73, 1572,   79, 1355, 1361, 1376, 1572, 1572, 1382,
     1397, 1572, 1431, 1434, 1441, 1445, 1450, 1457, 1462, 1469,
     1474, 1482, 1485, 1490, 1498, 1503, 1506, 1513, 1516, 1522,
     1525, 1531, 1538, 1545, 1548, 1554, 1561, 1564
    } ;

static yyconst short int yy_def[339] =
    {   0,
      312,    1,  312,  312,  312,  312,  312,  313,  314,  312,
      315,  312,  316,  312,  312,  312,  312,  312,  317,  312,
      316,  316,  312,  312,  312,  312,  312,  313,  312,  318,
      314,  319,  312,  315,  320,  312,  312,  316,  316,  321,
       16,  322,  312,  323,  312,   16,  324,  323,  323,  323,
      323,  323,  323,  323,  323,  323,  323,  323,  323,  312,
      312,  312,  312,  312,  312,  312,  312,  316,  316,  312,
      312,  316,  312,  312,  312,  313,  313,  313,  313,  318,
      314,  314,  315,  315,  315,  315,  320,  312,  316,   69,
      322,  325,  323,  326,  323,  323,  323,  323,  323,  323,

      323,  323,  323,  323,  323,  323,  323,  323,  323,  323,
      323,  312,  312,  312,  312,  312,  312,  312,  312,   69,
      327,  312,  316,  312,  313,   79,   82,  315,   86,   90,
      328,  312,  323,   96,   96,  323,  323,  323,  323,  323,
      312,  312,  312,  312,  312,  312,  312,  312,   69,  312,
      329,  312,  312,  330,  312,   79,   82,   86,   90,  328,
      325,  134,   96,  323,  323,  312,  312,  312,  312,  312,
      312,  312,   69,  312,  331,  312,  312,  312,  330,  330,
      332,  333,  312,  334,  312,   79,   82,   86,   90,  134,
       96,  323,  312,  312,  312,  312,  312,  312,   69,  312,

      335,  312,  312,  312,  312,  312,  332,  312,  336,  333,
      337,  330,  330,  330,  330,  330,  334,  312,   79,   82,
       86,   90,  134,   96,  312,  312,  312,  312,  312,   69,
      312,  338,  312,  312,  312,  312,  312,  312,  312,  332,
      332,  332,  332,  336,  333,  333,  333,  333,  337,  216,
      312,   79,   82,   86,  230,  134,  323,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  332,  332,  332,  243,  333,  333,  333,  248,  216,
      312,  323,  312,  312,  312,  312,  312,  312,  243,  248,
      216,  312,  312,  312,  312,  312,  312,  312,  243,  248,

      216,  312,  312,  312,  243,  248,  216,  312,  312,  243,
      248,    0,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312
    } ;

static yyconst short int yy_nxt[1629] =
    {   0,
        4,    5,    6,    5,    5,    5,    7,    8,    9,   10,
        4,    4,   11,    4,    4,   12,    4,   13,   14,   15,
       16,   17,    4,    4,    4,   18,   19,   20,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   22,
       21,   21,   21,   23,   24,   21,   25,   25,   25,   25,
       25,   25,   25,   25,   25,   25,   26,   26,   26,   26,
       26,   29,   29,   29,   37,   37,   37,   29,   38,   71,
       61,   25,   25,   25,   25,   25,   35,   40,   40,   40,
       30,   35,   30,   37,   62,   37,  312,   63,   41,   94,

       64,   97,   27,   43,   65,   66,   40,   67,   40,   72,
       44,   45,  309,   46,   26,   26,   26,   26,   26,   47,
      308,   48,   44,   44,   49,   50,   51,   44,   52,   53,
       54,   44,   55,   44,   56,   44,   44,   57,   44,   58,
       59,   44,   44,   44,   44,   44,   69,   94,   44,   94,
       27,   94,   94,  304,   99,   69,   69,   69,   69,   69,
       69,   28,   28,   28,   76,   82,   98,   78,  104,  102,
       94,   37,   94,  111,   82,   82,   82,   82,   82,   82,
       79,   88,  105,   28,   40,  303,   80,   37,   29,   79,
       79,   79,   79,   79,   79,   34,   34,   34,   83,   90,

       40,   94,   94,   29,   94,  138,   85,   30,   90,   90,
       90,   90,   90,   90,   86,   94,  106,   35,  302,  100,
       87,   96,  107,   86,   86,   86,   86,   86,   86,  101,
       96,   96,   96,   96,   96,   96,  121,   94,   29,   29,
      122,  103,  108,   37,   34,  121,  121,  121,  121,  121,
      121,   94,   94,   94,   29,   29,   40,   30,   30,  109,
      137,  297,  110,   68,   68,   68,   68,   68,   35,   35,
      123,  136,   92,  154,   94,   37,  132,  150,   94,  139,
      140,   94,  120,   29,  152,  164,   40,  165,   40,  296,
       29,  120,  120,  120,  120,  120,  120,   77,  125,  125,

      125,   77,   30,   29,   35,  150,  161,  150,   94,  295,
      132,  150,  176,  150,  202,  294,  126,  208,  233,  293,
      266,  292,   30,  192,  208,  126,  126,  126,  126,  126,
      126,   28,   28,   28,   76,  134,  209,   78,  211,  206,
      206,  206,  206,  206,  134,  134,  134,  134,  134,  134,
       79,  208,  183,  207,  150,  287,   80,  208,  208,   79,
       79,   79,   79,   79,   79,   81,   81,   81,   81,   81,
      209,  211,  238,  238,  238,  238,  238,  209,  286,  238,
      238,  238,  238,  238,  127,  239,  285,  208,  284,  208,
       32,  258,  239,  127,  127,  127,  127,  127,  127,   84,

      128,  128,  128,   84,  208,  259,  209,  208,  209,  260,
       29,  208,  283,  272,  238,  238,  238,  272,  129,  208,
      281,  211,  271,  209,   35,  211,  273,  129,  129,  129,
      129,  129,  129,   34,   34,   34,   83,  149,  209,   89,
       89,   89,   89,   89,   85,  208,  149,  149,  149,  149,
      149,  149,   86,  270,  269,  268,  267,  263,   87,  211,
      262,   86,   86,   86,   86,   86,   86,   89,   89,   89,
       89,   89,  261,  251,  237,  236,  235,  234,  156,  229,
      228,  227,  226,  210,  225,   94,  130,  156,  156,  156,
      156,  156,  156,  208,  218,  130,  130,  130,  130,  130,

      130,   95,   95,   95,   95,   95,  205,  211,  204,  203,
      198,  197,  196,  195,  194,  193,   94,  161,  185,  178,
      135,  177,  172,  171,  170,  169,   94,  157,  168,  135,
      135,  135,  135,  135,  135,  158,  157,  157,  157,  157,
      157,  157,  159,  167,  158,  158,  158,  158,  158,  158,
      166,  159,  159,  159,  159,  159,  159,  133,  133,  133,
      133,  133,   94,   94,   94,   94,  161,  155,  163,  153,
      148,  147,  146,  145,  144,  143,  162,  163,  163,  163,
      163,  163,  163,  173,  142,  162,  162,  162,  162,  162,
      162,  174,  173,  173,  173,  173,  173,  173,  141,   94,

      174,  174,  174,  174,  174,  174,  179,  179,  179,  179,
      179,  186,  181,   94,   94,   94,   94,  182,   94,  183,
      186,  186,  186,  186,  186,  186,  187,   94,   94,   94,
       94,  184,  188,   94,   94,  187,  187,  187,  187,  187,
      187,  188,  188,  188,  188,  188,  188,  189,   95,   95,
       95,   95,   95,  190,   92,   32,  189,  189,  189,  189,
      189,  189,  190,  190,  190,  190,  190,  190,  191,  124,
      119,  118,  117,   94,  199,  116,  115,  191,  191,  191,
      191,  191,  191,  199,  199,  199,  199,  199,  199,  200,
      114,  133,  133,  133,  133,  133,  113,  112,  200,  200,

      200,  200,  200,  200,  179,  179,  179,  179,  179,  219,
      181,   94,   41,   94,   92,  182,   94,  183,  219,  219,
      219,  219,  219,  219,   32,   75,   74,   73,   70,  184,
      206,  206,  206,  206,  206,  220,  312,   60,   42,   41,
       36,  312,   33,  183,  220,  220,  220,  220,  220,  220,
       32,  312,  312,  312,  312,  184,  206,  206,  206,  206,
      212,  312,  214,  312,  312,  312,  312,  214,  214,  215,
      312,  312,  312,  312,  312,  216,  312,  312,  312,  312,
      312,  217,  221,  312,  216,  216,  216,  216,  216,  216,
      222,  221,  221,  221,  221,  221,  221,  223,  312,  222,

      222,  222,  222,  222,  222,  224,  223,  223,  223,  223,
      223,  223,  230,  312,  224,  224,  224,  224,  224,  224,
      231,  230,  230,  230,  230,  230,  230,  312,  312,  231,
      231,  231,  231,  231,  231,  207,  207,  207,  240,  252,
      312,  242,  312,  312,  312,  312,  312,  312,  252,  252,
      252,  252,  252,  252,  243,  312,  312,  312,  312,  312,
      244,  312,  312,  243,  243,  243,  243,  243,  243,  210,
      210,  210,  245,  253,  312,  312,  312,  312,  312,  312,
      247,  312,  253,  253,  253,  253,  253,  253,  248,  312,
      312,  312,  312,  312,  249,  312,  312,  248,  248,  248,

      248,  248,  248,  206,  206,  206,  206,  206,  254,  312,
      312,  312,  312,  312,  312,  312,  183,  254,  254,  254,
      254,  254,  254,  312,  312,  312,  312,  312,  184,  206,
      206,  206,  206,  206,  255,  312,  312,  312,  312,  312,
      312,  312,  183,  255,  255,  255,  255,  255,  255,  312,
      312,  312,  312,  312,  184,  206,  206,  206,  206,  206,
      256,  312,  312,  312,  312,  312,  312,  312,  183,  256,
      256,  256,  256,  256,  256,  312,  312,  312,  312,  312,
      184,  206,  206,  206,  206,  206,  257,  312,  312,  312,
      312,  312,  312,  312,  183,  257,  257,  257,  257,  257,

      257,  312,  312,  312,  312,  312,  184,  212,  212,  212,
      212,  212,  312,  312,  312,  312,  312,  312,  312,  312,
      183,  272,  238,  238,  238,  272,  250,  208,  312,  312,
      312,  312,  184,  312,  273,  250,  250,  250,  250,  250,
      250,  206,  206,  206,  206,  212,  209,  214,  312,  312,
      312,  312,  214,  214,  215,  312,  312,  312,  312,  312,
      216,  312,  312,  312,  312,  312,  217,   39,  312,  216,
      216,  216,  216,  216,  216,  264,   39,   39,   39,   39,
       39,   39,  312,  312,  264,  264,  264,  264,  264,  264,
      241,  274,  274,  274,  241,  312,  208,  312,  312,  312,

      312,  312,  312,  276,  238,  238,  238,  276,  312,  275,
      312,  312,  312,  312,  208,  209,  277,  312,  275,  275,
      275,  275,  275,  275,  207,  207,  207,  240,  211,  312,
      242,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  243,  312,  312,  312,  312,  312,  244,
      312,  312,  243,  243,  243,  243,  243,  243,  246,  278,
      278,  278,  246,  312,  312,  312,  312,  312,  312,  208,
      312,  312,  312,  312,  312,  312,  312,  279,  312,  312,
      312,  312,  312,  211,  312,  312,  279,  279,  279,  279,
      279,  279,  210,  210,  210,  245,  280,  312,  312,  312,

      312,  312,  312,  247,  312,  280,  280,  280,  280,  280,
      280,  248,  312,  312,  312,  312,  312,  249,   28,  312,
      248,  248,  248,  248,  248,  248,   31,   28,   28,   28,
       28,   28,   28,   34,  312,   31,   31,   31,   31,   31,
       31,  282,   34,   34,   34,   34,   34,   34,  288,  312,
      282,  282,  282,  282,  282,  282,  289,  288,  288,  288,
      288,  288,  288,  312,  312,  289,  289,  289,  289,  289,
      289,  276,  238,  238,  238,  276,  290,  312,  312,  312,
      312,  312,  208,  312,  277,  290,  290,  290,  290,  290,
      290,  291,  312,  312,  312,  312,  211,  298,  312,  312,

      291,  291,  291,  291,  291,  291,  298,  298,  298,  298,
      298,  298,  299,  312,  312,  312,  312,  312,  300,  312,
      312,  299,  299,  299,  299,  299,  299,  300,  300,  300,
      300,  300,  300,  301,  312,  312,  312,  312,  312,  305,
      312,  312,  301,  301,  301,  301,  301,  301,  305,  305,
      305,  305,  305,  305,  306,  312,  312,  312,  312,  312,
      307,  312,  312,  306,  306,  306,  306,  306,  306,  307,
      307,  307,  307,  307,  307,  310,  312,  312,  312,  312,
      312,  311,  312,  312,  310,  310,  310,  310,  310,  310,
      311,  311,  311,  311,  311,  311,  180,  312,  312,  312,

      312,  312,  207,  312,  312,  180,  180,  180,  180,  180,
      180,  207,  207,  207,  207,  207,  207,  210,  312,  312,
      312,  312,  312,  312,  312,  312,  210,  210,  210,  210,
      210,  210,   28,  312,   28,   28,   28,   28,   28,   31,
      312,   31,   34,  312,   34,   34,   34,   34,   34,   39,
       39,  312,   39,   68,   68,   68,   68,   68,   77,   77,
       77,   77,   77,   77,   77,   81,   81,   81,   81,   81,
       84,   84,   84,   84,   84,   84,   84,   89,   89,   89,
       89,   89,   91,   91,   91,   91,   91,   91,   91,   91,
       93,  312,   93,   95,   95,   95,   95,   95,  131,  131,

      131,  131,  131,  131,  131,  131,  133,  133,  133,  133,
      133,  151,  151,  160,  160,  160,  160,  160,  160,  160,
      160,  175,  175,  180,  180,  180,  312,  180,  180,  180,
      201,  201,  207,  312,  207,  207,  207,  207,  207,  210,
      312,  210,  210,  210,  210,  210,  213,  213,  213,  213,
      213,  213,  213,  232,  232,  241,  241,  241,  241,  241,
      241,  241,  246,  246,  246,  246,  246,  246,  246,  265,
      265,    3,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,

      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312
    } ;

static yyconst short int yy_chk[1629] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    5,    5,    5,    5,
        5,    6,    6,    6,    6,    6,    7,    7,    7,    7,
        7,    8,   11,   28,   13,   21,   22,   34,   13,   22,
       18,   25,   25,   25,   25,   25,   11,   13,   21,   22,
        8,   34,   28,   39,   18,   68,   41,   18,   41,   48,

       18,   48,    7,   16,   18,   18,   39,   18,   68,   22,
       16,   16,  304,   16,   26,   26,   26,   26,   26,   16,
      302,   16,   16,   16,   16,   16,   16,   16,   16,   16,
       16,   16,   16,   16,   16,   16,   16,   16,   16,   16,
       16,   16,   16,   16,   16,   16,   19,   50,   16,   52,
       26,   49,   54,  295,   50,   19,   19,   19,   19,   19,
       19,   30,   30,   30,   30,   32,   49,   30,   54,   52,
       58,   38,   55,   58,   32,   32,   32,   32,   32,   32,
       30,   38,   55,   76,   38,  294,   30,   89,   76,   30,
       30,   30,   30,   30,   30,   35,   35,   35,   35,   40,

       89,   56,  102,   84,   51,  102,   35,   76,   40,   40,
       40,   40,   40,   40,   35,   53,   56,   84,  293,   51,
       35,   47,   56,   35,   35,   35,   35,   35,   35,   51,
       47,   47,   47,   47,   47,   47,   71,   57,   77,   78,
       71,   53,   57,   72,   83,   71,   71,   71,   71,   71,
       71,   99,   97,  105,   83,   85,   72,   77,   78,   57,
       99,  287,   57,   69,   69,   69,   69,   69,   83,   85,
       72,   97,   92,  123,  111,   69,   92,  121,  136,  105,
      111,  138,   69,  125,  121,  136,  123,  138,   69,  286,
      128,   69,   69,   69,   69,   69,   69,   79,   79,   79,

       79,   79,  125,   79,  128,  151,  161,  175,  164,  285,
      161,  201,  151,  232,  175,  284,   79,  181,  201,  283,
      232,  281,   79,  164,  182,   79,   79,   79,   79,   79,
       79,   80,   80,   80,   80,   94,  181,   80,  182,  206,
      206,  206,  206,  206,   94,   94,   94,   94,   94,   94,
       80,  207,  206,  240,  265,  263,   80,  210,  240,   80,
       80,   80,   80,   80,   80,   82,   82,   82,   82,   82,
      207,  210,  208,  208,  208,  208,  208,  240,  262,  238,
      238,  238,  238,  238,   82,  208,  260,  241,  259,  273,
       82,  225,  238,   82,   82,   82,   82,   82,   82,   86,

       86,   86,   86,   86,  274,  225,  241,  246,  273,  225,
       86,  277,  258,  242,  242,  242,  242,  242,   86,  242,
      251,  246,  237,  274,   86,  277,  242,   86,   86,   86,
       86,   86,   86,   87,   87,   87,   87,  120,  242,  255,
      255,  255,  255,  255,   87,  278,  120,  120,  120,  120,
      120,  120,   87,  236,  235,  234,  233,  229,   87,  278,
      227,   87,   87,   87,   87,   87,   87,   90,   90,   90,
       90,   90,  226,  218,  205,  204,  203,  202,  126,  198,
      196,  195,  194,  245,  193,  192,   90,  126,  126,  126,
      126,  126,  126,  245,  185,   90,   90,   90,   90,   90,

       90,   96,   96,   96,   96,   96,  178,  245,  177,  176,
      171,  170,  169,  168,  167,  166,  165,  160,  155,  153,
       96,  152,  148,  147,  146,  145,   96,  127,  144,   96,
       96,   96,   96,   96,   96,  129,  127,  127,  127,  127,
      127,  127,  130,  143,  129,  129,  129,  129,  129,  129,
      142,  130,  130,  130,  130,  130,  130,  134,  134,  134,
      134,  134,  140,  139,  137,  133,  131,  124,  135,  122,
      119,  118,  117,  116,  115,  114,  134,  135,  135,  135,
      135,  135,  135,  149,  113,  134,  134,  134,  134,  134,
      134,  150,  149,  149,  149,  149,  149,  149,  112,  110,

      150,  150,  150,  150,  150,  150,  154,  154,  154,  154,
      154,  156,  154,  109,  108,  107,  106,  154,  104,  154,
      156,  156,  156,  156,  156,  156,  157,  103,  101,  100,
       98,  154,  158,   95,   93,  157,  157,  157,  157,  157,
      157,  158,  158,  158,  158,  158,  158,  159,  257,  257,
      257,  257,  257,  162,   91,   81,  159,  159,  159,  159,
      159,  159,  162,  162,  162,  162,  162,  162,  163,   75,
       67,   66,   65,  257,  173,   64,   63,  163,  163,  163,
      163,  163,  163,  173,  173,  173,  173,  173,  173,  174,
       62,  282,  282,  282,  282,  282,   61,   60,  174,  174,

      174,  174,  174,  174,  179,  179,  179,  179,  179,  186,
      179,   59,   45,   44,   42,  179,  282,  179,  186,  186,
      186,  186,  186,  186,   31,   27,   24,   23,   20,  179,
      180,  180,  180,  180,  180,  187,  180,   17,   15,   14,
       12,  180,   10,  180,  187,  187,  187,  187,  187,  187,
        9,    3,    0,    0,    0,  180,  184,  184,  184,  184,
      184,    0,  184,    0,    0,    0,    0,  184,  184,  184,
        0,    0,    0,    0,    0,  184,    0,    0,    0,    0,
        0,  184,  188,    0,  184,  184,  184,  184,  184,  184,
      189,  188,  188,  188,  188,  188,  188,  190,    0,  189,

      189,  189,  189,  189,  189,  191,  190,  190,  190,  190,
      190,  190,  199,    0,  191,  191,  191,  191,  191,  191,
      200,  199,  199,  199,  199,  199,  199,    0,    0,  200,
      200,  200,  200,  200,  200,  209,  209,  209,  209,  219,
        0,  209,    0,    0,    0,    0,    0,    0,  219,  219,
      219,  219,  219,  219,  209,    0,    0,    0,    0,    0,
      209,    0,    0,  209,  209,  209,  209,  209,  209,  211,
      211,  211,  211,  220,    0,    0,    0,    0,    0,    0,
      211,    0,  220,  220,  220,  220,  220,  220,  211,    0,
        0,    0,    0,    0,  211,    0,    0,  211,  211,  211,

      211,  211,  211,  212,  212,  212,  212,  212,  221,  212,
        0,    0,    0,    0,  212,    0,  212,  221,  221,  221,
      221,  221,  221,    0,    0,    0,    0,    0,  212,  213,
      213,  213,  213,  213,  222,  213,    0,    0,    0,    0,
      213,    0,  213,  222,  222,  222,  222,  222,  222,    0,
        0,    0,    0,    0,  213,  214,  214,  214,  214,  214,
      223,  214,    0,    0,    0,    0,  214,    0,  214,  223,
      223,  223,  223,  223,  223,    0,    0,    0,    0,    0,
      214,  215,  215,  215,  215,  215,  224,  215,    0,    0,
        0,    0,  215,    0,  215,  224,  224,  224,  224,  224,

      224,    0,    0,    0,    0,    0,  215,  216,  216,  216,
      216,  216,    0,  216,    0,    0,    0,    0,  216,    0,
      216,  272,  272,  272,  272,  272,  216,  272,    0,    0,
        0,    0,  216,    0,  272,  216,  216,  216,  216,  216,
      216,  217,  217,  217,  217,  217,  272,  217,    0,    0,
        0,    0,  217,  217,  217,    0,    0,    0,    0,    0,
      217,    0,    0,    0,    0,    0,  217,  230,    0,  217,
      217,  217,  217,  217,  217,  231,  230,  230,  230,  230,
      230,  230,    0,    0,  231,  231,  231,  231,  231,  231,
      243,  243,  243,  243,  243,    0,  243,    0,    0,    0,

        0,    0,    0,  247,  247,  247,  247,  247,    0,  243,
        0,    0,    0,    0,  247,  243,  247,    0,  243,  243,
      243,  243,  243,  243,  244,  244,  244,  244,  247,    0,
      244,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,  244,    0,    0,    0,    0,    0,  244,
        0,    0,  244,  244,  244,  244,  244,  244,  248,  248,
      248,  248,  248,    0,    0,    0,    0,    0,    0,  248,
        0,    0,    0,    0,    0,    0,    0,  248,    0,    0,
        0,    0,    0,  248,    0,    0,  248,  248,  248,  248,
      248,  248,  249,  249,  249,  249,  250,    0,    0,    0,

        0,    0,    0,  249,    0,  250,  250,  250,  250,  250,
      250,  249,    0,    0,    0,    0,    0,  249,  252,    0,
      249,  249,  249,  249,  249,  249,  253,  252,  252,  252,
      252,  252,  252,  254,    0,  253,  253,  253,  253,  253,
      253,  256,  254,  254,  254,  254,  254,  254,  264,    0,
      256,  256,  256,  256,  256,  256,  275,  264,  264,  264,
      264,  264,  264,    0,    0,  275,  275,  275,  275,  275,
      275,  276,  276,  276,  276,  276,  279,    0,    0,    0,
        0,    0,  276,    0,  276,  279,  279,  279,  279,  279,
      279,  280,    0,    0,    0,    0,  276,  288,    0,    0,

      280,  280,  280,  280,  280,  280,  288,  288,  288,  288,
      288,  288,  289,    0,    0,    0,    0,    0,  290,    0,
        0,  289,  289,  289,  289,  289,  289,  290,  290,  290,
      290,  290,  290,  291,    0,    0,    0,    0,    0,  299,
        0,    0,  291,  291,  291,  291,  291,  291,  299,  299,
      299,  299,  299,  299,  300,    0,    0,    0,    0,    0,
      301,    0,    0,  300,  300,  300,  300,  300,  300,  301,
      301,  301,  301,  301,  301,  305,    0,    0,    0,    0,
        0,  306,    0,    0,  305,  305,  305,  305,  305,  305,
      306,  306,  306,  306,  306,  306,  307,    0,    0,    0,

        0,    0,  310,    0,    0,  307,  307,  307,  307,  307,
      307,  310,  310,  310,  310,  310,  310,  311,    0,    0,
        0,    0,    0,    0,    0,    0,  311,  311,  311,  311,
      311,  311,  313,    0,  313,  313,  313,  313,  313,  314,
        0,  314,  315,    0,  315,  315,  315,  315,  315,  316,
      316,    0,  316,  317,  317,  317,  317,  317,  318,  318,
      318,  318,  318,  318,  318,  319,  319,  319,  319,  319,
      320,  320,  320,  320,  320,  320,  320,  321,  321,  321,
      321,  321,  322,  322,  322,  322,  322,  322,  322,  322,
      323,    0,  323,  324,  324,  324,  324,  324,  325,  325,

      325,  325,  325,  325,  325,  325,  326,  326,  326,  326,
      326,  327,  327,  328,  328,  328,  328,  328,  328,  328,
      328,  329,  329,  330,  330,  330,    0,  330,  330,  330,
      331,  331,  332,    0,  332,  332,  332,  332,  332,  333,
        0,  333,  333,  333,  333,  333,  334,  334,  334,  334,
      334,  334,  334,  335,  335,  336,  336,  336,  336,  336,
      336,  336,  337,  337,  337,  337,  337,  337,  337,  338,
      338,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,

      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312,  312,  312,
      312,  312,  312,  312,  312,  312,  312,  312
    } ;

YY_DECL
	{
	register yy_state_type yy_current_state;
	register unsigned short *yy_cp, *yy_bp;
	register int yy_act;

#line 23 "tokenizer.flex"


#line 987 "lex.yy.c"

	while ( 1 )		/* loops until end-of-file is reached */
		{
		yy_cp = yy_c_buf_p;

		/* Support of yytext. */
		*yy_cp = yy_hold_char;

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = yy_start;
yy_match:
		do
			{
			register YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)];
			if ( yy_accept[yy_current_state] )
				{
				yy_last_accepting_state = yy_current_state;
				yy_last_accepting_cpos = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 313 )
					yy_c = yy_meta[(unsigned int) yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
			++yy_cp;
			}
		while ( yy_base[yy_current_state] != 1572 );

yy_find_action:
		yy_act = yy_accept[yy_current_state];
		if ( yy_act == 0 )
			{ /* have to back up */
			yy_cp = yy_last_accepting_cpos;
			yy_current_state = yy_last_accepting_state;
			yy_act = yy_accept[yy_current_state];
			}

		YY_DO_BEFORE_ACTION;


do_action:	/* This label is used only to access EOF actions. */


		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = yy_hold_char;
			yy_cp = yy_last_accepting_cpos;
			yy_current_state = yy_last_accepting_state;
			goto yy_find_action;

case 1:
YY_RULE_SETUP
#line 25 "tokenizer.flex"
/* ignore comments */
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 27 "tokenizer.flex"
{yyTok = S; return yyTok;}
	YY_BREAK
case 3:
YY_RULE_SETUP
#line 29 "tokenizer.flex"
{yyTok = SGML_CD; return yyTok;}
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 30 "tokenizer.flex"
{yyTok = SGML_CD; return yyTok;}
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 31 "tokenizer.flex"
{yyTok = INCLUDES; return yyTok;}
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 32 "tokenizer.flex"
{yyTok = DASHMATCH; return yyTok;}
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 33 "tokenizer.flex"
{yyTok = BEGINSWITH; return yyTok;}
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 34 "tokenizer.flex"
{yyTok = ENDSWITH; return yyTok;}
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 35 "tokenizer.flex"
{yyTok = CONTAINS; return yyTok;}
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 37 "tokenizer.flex"
{yyTok = STRING; return yyTok;}
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 39 "tokenizer.flex"
{yyTok = IDENT; return yyTok;}
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 41 "tokenizer.flex"
{yyTok = HASH; return yyTok;}
	YY_BREAK
case 13:
YY_RULE_SETUP
#line 43 "tokenizer.flex"
{yyTok = IMPORT_SYM; return yyTok;}
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 44 "tokenizer.flex"
{yyTok = PAGE_SYM; return yyTok;}
	YY_BREAK
case 15:
YY_RULE_SETUP
#line 45 "tokenizer.flex"
{yyTok = MEDIA_SYM; return yyTok;}
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 46 "tokenizer.flex"
{yyTok = FONT_FACE_SYM; return yyTok;}
	YY_BREAK
case 17:
YY_RULE_SETUP
#line 47 "tokenizer.flex"
{yyTok = CHARSET_SYM; return yyTok;}
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 48 "tokenizer.flex"
{yyTok = NAMESPACE_SYM; return yyTok; }
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 49 "tokenizer.flex"
{yyTok = KONQ_RULE_SYM; return yyTok; }
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 50 "tokenizer.flex"
{yyTok = KONQ_DECLS_SYM; return yyTok; }
	YY_BREAK
case 21:
YY_RULE_SETUP
#line 51 "tokenizer.flex"
{yyTok = KONQ_VALUE_SYM; return yyTok; }
	YY_BREAK
case 22:
YY_RULE_SETUP
#line 53 "tokenizer.flex"
{yyTok = IMPORTANT_SYM; return yyTok;}
	YY_BREAK
case 23:
YY_RULE_SETUP
#line 55 "tokenizer.flex"
{yyTok = EMS; return yyTok;}
	YY_BREAK
case 24:
YY_RULE_SETUP
#line 56 "tokenizer.flex"
{yyTok = QEMS; return yyTok;} /* quirky ems */
	YY_BREAK
case 25:
YY_RULE_SETUP
#line 57 "tokenizer.flex"
{yyTok = EXS; return yyTok;}
	YY_BREAK
case 26:
YY_RULE_SETUP
#line 58 "tokenizer.flex"
{yyTok = PXS; return yyTok;}
	YY_BREAK
case 27:
YY_RULE_SETUP
#line 59 "tokenizer.flex"
{yyTok = CMS; return yyTok;}
	YY_BREAK
case 28:
YY_RULE_SETUP
#line 60 "tokenizer.flex"
{yyTok = MMS; return yyTok;}
	YY_BREAK
case 29:
YY_RULE_SETUP
#line 61 "tokenizer.flex"
{yyTok = INS; return yyTok;}
	YY_BREAK
case 30:
YY_RULE_SETUP
#line 62 "tokenizer.flex"
{yyTok = PTS; return yyTok;}
	YY_BREAK
case 31:
YY_RULE_SETUP
#line 63 "tokenizer.flex"
{yyTok = PCS; return yyTok;}
	YY_BREAK
case 32:
YY_RULE_SETUP
#line 64 "tokenizer.flex"
{yyTok = DEGS; return yyTok;}
	YY_BREAK
case 33:
YY_RULE_SETUP
#line 65 "tokenizer.flex"
{yyTok = RADS; return yyTok;}
	YY_BREAK
case 34:
YY_RULE_SETUP
#line 66 "tokenizer.flex"
{yyTok = GRADS; return yyTok;}
	YY_BREAK
case 35:
YY_RULE_SETUP
#line 67 "tokenizer.flex"
{yyTok = MSECS; return yyTok;}
	YY_BREAK
case 36:
YY_RULE_SETUP
#line 68 "tokenizer.flex"
{yyTok = SECS; return yyTok;}
	YY_BREAK
case 37:
YY_RULE_SETUP
#line 69 "tokenizer.flex"
{yyTok = HERZ; return yyTok;}
	YY_BREAK
case 38:
YY_RULE_SETUP
#line 70 "tokenizer.flex"
{yyTok = KHERZ; return yyTok;}
	YY_BREAK
case 39:
YY_RULE_SETUP
#line 71 "tokenizer.flex"
{yyTok = DIMEN; return yyTok;}
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 72 "tokenizer.flex"
{yyTok = PERCENTAGE; return yyTok;}
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 73 "tokenizer.flex"
{yyTok = NUMBER; return yyTok;}
	YY_BREAK
case 42:
YY_RULE_SETUP
#line 75 "tokenizer.flex"
{yyTok = URI; return yyTok;}
	YY_BREAK
case 43:
YY_RULE_SETUP
#line 76 "tokenizer.flex"
{yyTok = URI; return yyTok;}
	YY_BREAK
case 44:
YY_RULE_SETUP
#line 77 "tokenizer.flex"
{yyTok = FUNCTION; return yyTok;}
	YY_BREAK
case 45:
YY_RULE_SETUP
#line 79 "tokenizer.flex"
{yyTok = UNICODERANGE; return yyTok;}
	YY_BREAK
case 46:
YY_RULE_SETUP
#line 80 "tokenizer.flex"
{yyTok = UNICODERANGE; return yyTok;}
	YY_BREAK
case 47:
YY_RULE_SETUP
#line 82 "tokenizer.flex"
{yyTok = *yytext; return yyTok;}
	YY_BREAK
case 48:
YY_RULE_SETUP
#line 84 "tokenizer.flex"
ECHO;
	YY_BREAK
#line 1310 "lex.yy.c"
case YY_STATE_EOF(INITIAL):
	case YY_END_OF_BUFFER:
	yyterminate();

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of yylex */
